Bug 1364001 (CVE-2016-5423) - CVE-2016-5423 postgresql: CASE/WHEN with inlining can cause untrusted pointer dereference
Summary: CVE-2016-5423 postgresql: CASE/WHEN with inlining can cause untrusted pointer...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5423
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160811,repor...
Depends On: 1366344 1367640 1367704 1367705 1367707 1367708 1367709 1367710
Blocks: 1323912 1364007
TreeView+ depends on / blocked
 
Reported: 2016-08-04 09:05 UTC by Martin Prpič
Modified: 2019-06-11 11:13 UTC (History)
19 users (show)

Fixed In Version: postgresql 9.5.4, postgresql 9.4.9, postgresql 9.3.14, postgresql 9.2.18, postgresql 9.1.23
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way PostgreSQL server handled certain SQL statements containing CASE/WHEN commands. A remote, authenticated attacker could use a specially crafted SQL statement to cause PostgreSQL to crash or disclose a few bytes of server memory or possibly execute arbitrary code.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:57:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1781 normal SHIPPED_LIVE Moderate: rh-postgresql94-postgresql security update 2016-09-06 16:57:36 UTC
Red Hat Product Errata RHSA-2016:1820 normal SHIPPED_LIVE Moderate: postgresql92-postgresql security update 2016-09-07 14:11:36 UTC
Red Hat Product Errata RHSA-2016:1821 normal SHIPPED_LIVE Moderate: rh-postgresql95-postgresql security update 2016-09-07 13:53:27 UTC
Red Hat Product Errata RHSA-2016:2606 normal SHIPPED_LIVE Moderate: postgresql security and bug fix update 2016-11-03 12:13:40 UTC
Red Hat Product Errata RHSA-2017:2425 normal SHIPPED_LIVE Moderate: rh-postgresql95-postgresql security update 2017-08-07 20:11:22 UTC

Description Martin Prpič 2016-08-04 09:05:42 UTC
It was discovered that certain SQL statements containing CASE/WHEN commands could crash the PostgreSQL server, or disclose a few bytes of server memory, potentially leading to arbitrary code execution.

Comment 1 Martin Prpič 2016-08-04 09:05:59 UTC
Acknowledgments:

Name: the PostgreSQL project
Upstream: Heikki Linnakangas

Comment 2 Martin Prpič 2016-08-11 17:25:35 UTC
Public via:

https://www.postgresql.org/about/news/1688/

Comment 3 Martin Prpič 2016-08-11 17:27:21 UTC
Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1366344]

Comment 15 Fedora Update System 2016-08-23 12:49:16 UTC
postgresql-9.5.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-08-23 15:22:22 UTC
postgresql-9.4.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-08-27 10:37:44 UTC
postgresql-9.5.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 errata-xmlrpc 2016-08-31 05:48:22 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS

Via RHSA-2016:1781 https://rhn.redhat.com/errata/RHSA-2016-1781.html

Comment 20 errata-xmlrpc 2016-09-07 09:54:45 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS

Via RHSA-2016:1821 https://rhn.redhat.com/errata/RHSA-2016-1821.html

Comment 21 errata-xmlrpc 2016-09-07 10:12:54 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS

Via RHSA-2016:1820 https://rhn.redhat.com/errata/RHSA-2016-1820.html

Comment 27 errata-xmlrpc 2016-11-03 21:28:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2606 https://rhn.redhat.com/errata/RHSA-2016-2606.html

Comment 29 errata-xmlrpc 2017-08-07 16:12:28 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.7

Via RHSA-2017:2425 https://access.redhat.com/errata/RHSA-2017:2425


Note You need to log in before you can comment on or make changes to this bug.